VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "fischertechnik Interface : umFish.DLL Demo"
   ClientHeight    =   5130
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7545
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "umFish.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   5130
   ScaleWidth      =   7545
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdEnde 
      Caption         =   "Abbrechen"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4440
      TabIndex        =   1
      Top             =   4440
      Width           =   1335
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "START"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   5880
      TabIndex        =   0
      Top             =   4440
      Width           =   1335
   End
   Begin VB.Image imgFish 
      Height          =   825
      Left            =   6240
      Picture         =   "umFish.frx":0442
      Top             =   2160
      Width           =   900
   End
   Begin VB.Label lblEX 
      Alignment       =   2  'Zentriert
      BackColor       =   &H00E0E0E0&
      Caption         =   "0"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   2760
      TabIndex        =   7
      Top             =   2400
      Width           =   975
   End
   Begin VB.Label lblPortName 
      Caption         =   "Port"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   15.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   360
      TabIndex        =   6
      Top             =   4320
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   $"umFish.frx":0BB2
      Height          =   735
      Left            =   360
      TabIndex        =   5
      Top             =   3240
      Width           =   6855
   End
   Begin VB.Label Label3 
      Caption         =   "Analogeingang Ex :"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   360
      TabIndex        =   4
      Top             =   2400
      Width           =   2175
   End
   Begin VB.Label Label2 
      Caption         =   "Freeware - Copyright Ulrich Mller - ulrich.mueller@owl-online.de"
      Height          =   255
      Left            =   1320
      TabIndex        =   3
      Top             =   1800
      Width           =   4815
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Zentriert
      Caption         =   "umFish.DLL : Funktionen fr die Programmierung der fischertechnik Interfaces"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   18
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1215
      Left            =   360
      TabIndex        =   2
      Top             =   240
      Width           =   6735
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ------------------------------------------------------------------------------
'
' frmMain(umFish.frm)                                     Ulrich Mller 24.05.00
'                                                         Procida 400NT    VB6.0
' Funktionen fr die Programmierung der fischertechnik Interfaces
' auf Basis von umFish.DLL v1.3
'
' Lampen an M1 - M3 werden in einer Endlosschleife an- und ausgeschaltet
' zustzlich wird der Wert des Analogeinganges EX angezeigt.
' Beenden : Taster E1, HALT-Button oder Escape-Taste
'
' ------------------------------------------------------------------------------

Option Explicit

Private PortName$, NotHalt As Boolean

Private Sub Blinken()

' --- Demo-Schleife -----------------------------------------------------------
' die Lampen an M1 - M3 werden nacheinander ein- und ausgeschaltet ------------
' Ende : Taster 1, NotHalt oder Escape-Taste
'
' Sleep kann nur bei Wartenzeiten bis ca. 500 mSek eingesetzt werden, da sonst
' das Interface abschaltet. Sonst siehe WaitForTime von umFishEx.BAS
' -----------------------------------------------------------------------------

Dim i&

  i = 1
  Do
    SetMotor ft, i, ftiEin               ' --- Lampe einschalten
    lblEX.Caption = GetAnalog(ft, 0)     ' --- Analogwert von EX abfragen
    Sleep 500                            ' --- 500 mSek warten
    ClearMotors ft                       ' --- Lampe abschalten
    Sleep 300                            ' --- 300 mSek warten
    If i >= 3 Then i = 1 Else i = i + 1  ' --- neue Lampe
    imgFish.Top = i * 800 + 1200
    DoEvents                             ' --- Unterbrechbarkeit herstellen
  Loop Until GetInput(ft, 1) Or (GetAsyncKeyState(VK_ESCAPE) <> 0) Or NotHalt
                                         ' --- Endewunsch erkennen
  ClearMotors ft                         ' --- Lampen ausschalten
  
End Sub


Private Sub cmdAction_Click()

' --- Start / Ende  Test ---------------------

  If cmdAction.Caption = "HALT" Then
    NotHalt = True
    Exit Sub
  End If
  
  PortName = InputBox("Portname : COM1-9, LPT1-3, LPT(nur WinNT)", "umFishEx.BAS Demo", "COM1")
  lblPortName = PortName
' --- ft.LPTDelay = 2 ' , wenn mit COM Extension Module (16554)
  If OpenInterface(ft, PortName) = ftiFehler Then
    MsgBox "InterfaceProblem : PortName, Strom, Kabel?", vbOKOnly + vbExclamation, "umFishEx.BAS Demo"
    Exit Sub
  End If
  cmdAction.Caption = "HALT"
  cmdEnde.Caption = "ENDE"
  cmdEnde.Enabled = False
  NotHalt = False
  
  Blinken
  
  cmdAction.Caption = "START"
  cmdEnde.Enabled = True
  CloseInterface ft
  
End Sub


Private Sub cmdEnde_Click()

 End
  
End Sub


